package com.example.livingai.domain.usecases

import com.example.livingai.domain.model.AnimalDetails
import com.example.livingai.domain.repository.business.AnimalDetailsRepository
import kotlinx.coroutines.flow.Flow

class GetAnimalDetails(
    private val animalDetailsRepository: AnimalDetailsRepository
) {
    operator fun invoke(animalId: String): Flow<AnimalDetails?> {
        return animalDetailsRepository.getAnimalDetails(animalId)
    }
}
